<?php
require_once 'model/usuario.entidad.php';
require_once 'model/usuario.model.php';
require_once 'model/clientes.entidad.php';
require_once 'model/clientes.model.php';
//require_once 'model/ubigeo.entidad.php';
//require_once 'model/ubigeo.model.php';
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';
require_once 'model/bitacorausuario.model.php';
require_once 'model/bitacorausuario.entidad.php';

class PrincipalController {
    private $usuario_model;
    private $clientes_model;

    private $parametro_model;
    private $bitacorausuario_model;
    private $fm_constantes_model;
    
    public function __construct() {
        $this->usuario_model = new UsuarioModel();
        $this->clientes_model = new ClientesModel();
        $this->parametro_model = new ParametroModel();
        $this->bitacorausuario_model = new BitacorausuarioModel();
    }
    
    function diff_dte($date1, $date2){
       if (!is_integer($date1)) $date1 = strtotime($date1);
       if (!is_integer($date2)) $date2 = strtotime($date2);  
       return floor(abs($date1 - $date2) / 60 / 60 / 24);
    }  
 
    //public function PDFControlCalidad(){
        
    //    $r = $this->controlcalidad_model->Buscar($_GET["cal_num"]);
        
    //    require_once 'view/webforms/PDF/controlcalidad.php';            
           
    //}
    //public function NombreProtocolo($Protocologe_Id){
    //    $protocologe = $this->protocologe_model->BuscarId($Protocologe_Id);        
    //    return (count($protocologe) > 0 ? ($protocologe[0]["pro_numero"] . " | " . $protocologe[0]["sCliNombre"]) : "");
    //}

    public function verificarFechaClave($fecha){
        $fechaActual = date("Y-m-d");
        $nuevaFecha = date('Y-m-j', strtotime('+60 day', strtotime($fecha)));       
        
        if(strtotime($fechaActual) > strtotime($nuevaFecha)){   
            if($this->diff_dte($fechaActual, $fecha) >= 90){                
                $usu = new Usuario();
                $usu->__SET('Usuario_Id', $_SESSION['usu_codigo']);
                $usu->__SET('nUsuEstado', 0);
                $this->usuario_model->Estado($usu);
                $this->CerrarSession();
            }                    
            return true;            
        }        
        return false;        
    }
    
    public function DestruirSession(){
        
        session_destroy();
            
    }

    public function CambioClaveCliente(){
        
        require_once 'view/autenticacionCliente.php';
            
    }
    
    public function CambioClave(){
        
        require_once 'view/autenticacion.php';
            
    }

    public function Index2(){
        require_once 'view/index.html';
    }

    public function Index(){
              
        if(!isset($_SESSION['usu_autenticado'])){
            require_once 'view/login.php';
        }else{
            $mensaje_cambio_clave = null;
            //$claveAnterior = $this->reporte_model->ClaveAnterior($_SESSION['usu_codigo']);
            $parametro = $this->parametro_model->ListarParametros();
            //$mensaje_cambio_clave = "USTED DEBE DE CAMBIAR SU CLAVE POR FAVOR.";
            
            $modal = '';
            
            // if(count($claveAnterior) > 0){
            
            //    $modal = ($this->verificarFechaClave($claveAnterior[0]["usucla_fecha"]) == true ? '$("#mensaje").modal("show");' : '');
            
            // } 
            
            require_once 'view/header.php';
            require_once 'view/webforms/wfaprincipal.php';
            require_once 'view/footer.php';
            
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.inicio').addClass('active');                            
                            ".$modal."
                            $('#mensaje_cam_usu').html('".$mensaje_cambio_clave."');
                        });
                  </script>";
        }
        
    }
    public function Index3(){

        $mensaje_cambio_clave = null;
        
        $modal = '';
        
        if(!isset($_SESSION['usu_autenticado'])){
            require_once 'view/loginc.php';
        }else{
            
            //$claveAnterior = $this->reporte_model->ClaveAnterior($_SESSION['usu_codigo']);
            $parametro = $this->parametro_model->ListarParametros();
            //$mensaje_cambio_clave = "USTED DEBE DE CAMBIAR SU CLAVE POR FAVOR.";
            
            //$modal = '';
            
            //if(count($claveAnterior) > 0){
            
           //     $modal = ($this->verificarFechaClave($claveAnterior[0]["usucla_fecha"]) == true ? '$("#mensajeCliente").modal("show");' : '');
            
            //}else {
                
            //    header('location: ?c=Principal&a=CambioClaveCliente');
                
            //}
            
            require_once 'view/headercliente.php';
            require_once 'view/webforms/wfaprincipal.php';
            require_once 'view/footer.php';
            
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.inicio').addClass('active');                            
                            ".$modal."
                            $('#mensaje_cam_usu_cliente').html('".$mensaje_cambio_clave."');
                        });
                  </script>";
        }
        
    }    
    public function verificarUsuario(){
        
//        print_r(json_encode($_POST));
        
        $array = array();
        
        if($_POST['intentos'] < 3){
        
            $verificar = $this->usuario_model->autenticar($_POST['usuario'], $_POST['clave']);  
			
            if (!empty($_POST['usuario']) && !empty($_POST['clave']) && !empty($_POST['codigocaptcha'])) {

                if ($_SESSION['captcha'] == $_POST['codigocaptcha']) {

                    if (count($verificar) > 0) {

                        $estado_usu = false;

                        foreach ($verificar as $row) {

                            if ($row->__GET('nUsuEstado') == 1) {

                                $_SESSION['usu_autenticado'] = 'Si';
                                $_SESSION['usu_codigo'] = $row->__GET('Usuario_Id');
                                $_SESSION['usu_personal'] = $row->__GET('Personal_Id');
                                $_SESSION['usu_nombre'] = $row->__GET('sUsuNombre');
                                $_SESSION['usu_login'] = $row->__GET('sUsuLogin');
                                $_SESSION['usu_tipo'] = $row->__GET('nUsuTipo');
                                $_SESSION['usu_stado'] = 1;
                                $estado_usu = true;
                            }
                        }

                        if ($estado_usu == true) {
                            
                            $biusu = new Bitacorausuario();
                            
                            $biusu->__SET('nBiusuTipoModulo', 1);
                            $biusu->__SET('nBiusuUsuario_Id', $_SESSION['usu_codigo']);
                            $biusu->__SET('nBiusuDescripcion', 'Inicio Sessión');
                            $this->bitacorausuario_model->guardarBitacorausuario($biusu);

                            $array = array("Estado" => 1);
                        } else {
                            $array = array("Estado" => 2);
                        }
                    } else {
                        $array = array("Estado" => 3);
                    }
                } else {

                    $array = array("Estado" => 4);
                }
            } else {

                $array = array("Estado" => 5);
            }
        } else {

            $this->usuario_model->disabled($_POST['usuario']);
            $array = array("Estado" => 6);
        }

        print_r(json_encode($array));
    }
    public function CerrarSession(){
        $biusu = new Bitacorausuario();
        $biusu->__SET('nBiusuTipoModulo', 1);
        $biusu->__SET('nBiusuUsuario_Id', $_SESSION['usu_codigo']);
        $biusu->__SET('nBiusuDescripcion', 'Cerro Sessión');
        $this->bitacorausuario_model->guardarBitacorausuario($biusu);
        session_destroy();        
        echo '<script type="text/javascript">window.location="'.RUTA_HTTP.'";</script>';
    }
    
    public function CambiarClave(){
        $data = new Usuario();
        $data->__SET('Usuario_Id', $_SESSION['usu_codigo']);
        $data->__SET('sUsuContrasena', $_POST['sUsuContrasena']);
        $this->usuario_model->Claves($data);
    }
    
    public function CambiarClaveCliente(){
        $data = new Clientes();
        $data->__SET('Cliente_Id', $_SESSION['usu_codigo']);
        $data->__SET('sCliPassword', $_POST['sCliPassword']);
        $this->usuario_model->ClavesClientes($data);
    }
    
    //public function ListarConstantes(){
    //    $data = $this->fm_constantes_model->Buscar($_POST['nConCodigo']);        
    //    print_r(json_encode($data));
    //}
    public function verificarCliente(){
        
         $estado = array("estado" => 0);
        
        if($_POST['usu_nombre'] != "" && $_POST['usu_clave'] != "") {
            
            //$autenticar = $this->clientes_model->Autenticar($_POST['usu_nombre'], $_POST['usu_clave']);
			$autenticar = $this->clientes_model->AutenticarCliUsu($_POST['usu_nombre'], $_POST['usu_clave']);

             if ($_SESSION['captcha'] == $_POST['codigocaptcha']) {

                if(count($autenticar) > 0){
                    
                    foreach ($autenticar as $r) {

                        if($r->__GET('nCliOculto') == 0){
                            
                            //var_dump($autenticar);
                            $_SESSION['usu_autenticado'] = 'Si';
                            $_SESSION['usu_codigo'] = $r->__GET('Cliente_Id');
                            $_SESSION['usu_nombre'] = $r->__GET('sCliNombre');
                            $_SESSION['usu_login'] = $r->__GET('sCliUsuario');
                            $_SESSION['usu_stado'] = 0;
                            $_SESSION['usu_Cli_Id'] = $r->__GET('nCliUsuario_Id');
                            $biusu = new Bitacorausuario();  
                            $biusu->__SET('nBiusuTipoModulo', 2);
                            $biusu->__SET('nBiusuUsuario_Id', $_SESSION['usu_codigo']);
                            $biusu->__SET('nBiusuDescripcion', 'Inicio Sessión');
                            $this->bitacorausuario_model->guardarBitacorausuario($biusu);
                            
                            $estado = array("estado" => 1);

                        }

                        if($r->__GET('nCliEstado') == 0){

                            $estado = array("estado" => 2);

                        }

                    }

                } else {

                    array("estado" => 2);

                }

            } else {

                array("estado" => 4);

            }
        
        } else {
            
            array("estado" => 5);
            
        }
        
        print_r(json_encode($estado));
        
        
    }
    public function sesiones(){
        print_r($_SESSION);
    }
}
