<?php

require_once 'model/repuesto.entidad.php';
require_once 'model/repuesto.model.php';

ini_set('max_execution_time', 500);
class RepuestoController extends helpers {

    private $repuesto_model;

    public function __CONSTRUCT() {
        $this->repuesto_model = new RepuestoModel();
    }

    public function Index() {
        $repuestos = $this->repuesto_model->Listar();
        
        require_once 'view/header.php';
        require_once 'view/webforms/wfarepuesto.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function MostrarRepuesto() {
        $repuesto = $this->repuesto_model->Buscar($_POST['Repuesto_Id']);
        
        foreach($repuesto as $r):
        echo "<tbody>
                <tr>
                    <td>
                        <input type='hidden' id='idRepuesto' value='". $r->__get('Repuesto_Id') ."'>
                        Código
                    </td>
                    <td>". $r->__get('sRepCodigo') ."</td>
                </tr>
                <tr>
                    <td>
                        Repuesto
                    </td>
                    <td>". $r->__get('sRepNombre') ."</td>
                </tr>
              </tbody>
        ";
        endforeach;
    }

    public function FrmGuardarRepuesto() {
        require_once 'view/webforms/wfarepuestoa.php';
    }

    public function FrmEditarRepuesto() {
        $repuesto = $this->repuesto_model->Buscar($_POST['Repuesto_Id']);
        foreach($repuesto as $r) :
            require_once 'view/webforms/wfarepuestoa.php';
        endforeach;
    }

    public function GuardarRepuesto() {
        $repuesto = new Repuesto();
        $repuesto->__set('Repuesto_Id', $_POST['Repuesto_Id']);
        $repuesto->__set('sRepCodigo', $_POST['sRepCodigo']);
        $repuesto->__set('sRepNombre', $_POST['sRepNombre']);
        $repuesto->__set('nRepEliminado', 0);
        $repuesto->__set('nRepUsuario_Id', $_SESSION['usu_codigo']);
        $_POST['Repuesto_Id'] == 0 ? $this->repuesto_model->Guardar($repuesto) : $this->repuesto_model->Editar($repuesto);
        echo '<div class="alert alert-success prod" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <strong>Exito!</strong>, los datos fueron agregados correctamente.
            </div>';
    }

    public function EliminarRepuesto() {
        $repuesto = new Repuesto();
        $repuesto->__set('Repuesto_Id', $_POST['idRepuesto']);
        $this->repuesto_model->Eliminar($repuesto);
        echo '<script type="text/javascript">window.location="?c=Repuesto&a=Index";</script>';
    }

    // public function PDFUsuario() {
    //     $datos = $this->usuario_model->Buscar($_POST['idUsuario']);
    //     require_once 'view/webforms/PDF/usuario.php';
    // }

}

?>