var dataTareas = []

function FrmGuardarPlantilla() {
    $.post('?c=Plantilla&a=FrmGuardarPlantilla', {
    }, function (data) {
        $(".content-wrapper").html(data);
        dataRepuestos = []
        dataTareas = []
    });
}
function FrmEditarPlantilla(Plantilla_Id) {
    $.post('?c=Plantilla&a=FrmEditarPlantilla', {
        Plantilla_Id: Plantilla_Id
    }, function (data) {
        $(".content-wrapper").html(data);
        estadoTareas()
    });
}

function estadoTareas() {
    let t_tarea = document.getElementById('table-ls-tareas').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[0].innerText
    let num_td = document.getElementById('table-ls-tareas').getElementsByTagName('tbody')[0].getElementsByTagName('tr').length

    if (t_tarea == "No hay información") { // está vacío
        return
    }

    for (let i = 0; i < num_td; i++) {
        dataTareas.push({
            Tarea_Id: document.getElementById('table-ls-tareas').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[i].children[0].innerText,
            sTarNombre: document.getElementById('table-ls-tareas').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[i].children[1].innerText
        })
    }
}

function mostrarPlantilla(Plantilla_Id) {
    $.post('?c=Plantilla&a=MostrarPlantilla',
    {
        Plantilla_Id: Plantilla_Id
    }, function(data) {
        $("#ver_datos").html(data)
    })
}

function guardarPlantilla() {
    let sPlaNombre = document.getElementById('sPlaNombre').value
    let Plantilla_Id = document.getElementById('Plantilla_Id').value
    let nPlaTipoId = document.getElementById('nPlaTipoId').value
    
    let datasend = {
        dataTareas,
        sPlaNombre,
        Plantilla_Id,
        nPlaTipoId
    }
    $.post('?c=Plantilla&a=GuardarPlantilla',datasend, function(data) {
        $('html, body').animate({
            scrollTop: '0px'
        }, 1000)
        $("#resultado").html(data)
        // setTimeout(() => {
        //     window.location.reload()
        // }, 800)
    })
}

$("#btn-save-plantilla").click(function () { 
    if ($("#FrmPlantilla").valid()) {
        guardarPlantilla()
    }
})

function removeTarea(idTarea) {
    dataTareas = dataTareas.filter(tarea => tarea.Tarea_Id != idTarea)
    LlenarTablaTarea()
}

function LlenarTablaTarea() {
    let tableHTML = ''
    if (dataTareas.length <= 0) {
        tableHTML +=`<tr>
                        <td class="text-center" colspan="5">No hay información</td>
                    </tr>
                    ` 
    }
    dataTareas.forEach(data => {
        tableHTML +=`<tr>
                        <td>${data.sTarNombre}</td>
                        <td>
                            <button type="button" onclick="removeTarea(${data.Tarea_Id})"
                                class="btn btn-danger btn-xs">
                                <i class="fa fa-trash-o"></i>
                            </button>
                        </td>
                    </tr>
                    ` 
    })
    let tabla = document.getElementById('table-ls-tareas')
    
    tabla.getElementsByTagName('tbody')[0].innerHTML = tableHTML
}

function enListaTarea(id) {
    return dataTareas.findIndex(data => data.Tarea_Id == id)
}

$("#btn-add-tarea").click(function () {
    let Tarea = document.getElementById('nTarea_Id')
    let TareaNombre = Tarea.options[Tarea.selectedIndex].text
    if (Tarea.value === "0") {
        alert('Selecciona una tarea')
        return
    }

    let datos_tabla = {}

    datos_tabla.sTarNombre = TareaNombre
    datos_tabla.Tarea_Id = Tarea.value

    if(enListaTarea(datos_tabla.Tarea_Id) >= 0) {
        return
    }
    dataTareas.push(datos_tabla)
    
    LlenarTablaTarea()
    document.getElementById('nTarea_Id').value = 0
    $('#nTarea_Id').selectpicker('refresh')
});