<?php
/**
 * HTML2PDF Librairy - example
 *
 * HTML => PDF convertor
 * distributed under the LGPL License
 *
 * @author      Laurent MINGUET <webmaster@html2pdf.fr>
 *
 * isset($_GET['vuehtml']) is not mandatory
 * it allow to display the result in the HTML format
 */
header('Content-type: text/html; charset=UTF-8');
ob_start();
?>
<style type="text/css">
    table.page_header {
        width: 93%; 
        border: none; 
        padding: 3mm 4mm;
        margin: 5px 2px 0px 23px;
    }
    table.page_header tr td {        
        border: 0.1mm solid #000; 
    }
    table.page_footer {width: 100%; border: none; border-top: solid 0.1mm #E6892F; padding: 3mm 4mm}
    .title{width: 100%; border: none; border-bottom: solid 0.1mm #E6892F; padding-bottom: 4mm;}
    h1 {color: #000033}
    h2 {color: #000055}
    h3 {color: #000077}
    h4 {
        margin: 0px;
    }

    div.niveau
    {
        padding-left: 5mm;
    }
    .table{
        width: 100%;
    }
    .table thead tr th,
    .table tr th{
        padding-bottom: 0px;
        padding-top: 0px;
        background: #efefef;
    }
    .table tbody tr td,
    .table tbody tr th{
        font-size: 11px;
        border: 0.1mm solid #000;
        margin: 0px;
        padding: 0px 0px;
    }
    hr{
        border: 0.2mm solid #A7A7A7;
        margin-bottom: 5px;
        margin-top: 0px;
    }
    h5{
        margin: 0px;
        text-align: left;
    }
    p{
        margin: 0px;
        padding: 0px;
    }
    .no-border thead tr td,
    .no-border thead tr th,
    .no-border tbody tr td,
    .no-border tbody tr th{
        border: 0px solid black;
    }
    .text-center tbody tr td{
        text-align: center;
    }
    .text-center tbody tr td p,
    .text-center tbody tr th p{
        margin: auto;
        width: 100%;
        background: red;
        text-align: center !important;
    }
    td.active{
        background: #efefef;
        text-align: center;
    }
</style>

<page backtop="20mm" backbottom="20mm" backleft="10mm" backright="10mm" style="font-size: 11pt;">
<bookmark title="Sommaire" level="0">
    <page_header>
        <table class="page_header" cellpadding="0" cellspacing="0">
            <?php             
            foreach ($protocolo as $p){
            ?>
            <tr>
                <td style="width: 20%; text-align: left" rowspan="2">
                    <img src="view/librerias/dist/img/logo_modasa.png" width="150">
                </td>
                <td rowspan="2" style="width:33%; text-align: center;">
                   PROTOCOLO DE PRUEBA DE MOTORES DIESEL
                </td>
                <td style="width: 10%; text-align: left; font-size: 7pt;">
                    Supervisor                 
                 </td>                
                <td style="width: 10%; text-align: left;  font-size: 7pt;">
                     Banco N°: <?php echo $p['sBancoNro'] != "" ? $p['sBancoNro'] : '-'; ?>             
                </td>
                <td style="width: 10%; text-align: left;  font-size: 7pt;">
                    Serie N°: <?php echo $p['sSerieNro'] != "" ? $p['sSerieNro'] : '-'; ?>             
                 </td>                
                <td style="width: 10%; text-align: left;  font-size: 7pt;">
                     Tipo Motor:              
                </td>
                <td style="width: 10%; text-align: left; font-size: 7pt;">
                     No:      
                </td>
            </tr>
            <tr>
                <td style="text-align: left; font-size: 7pt;"><?php echo utf8_decode($p['sSupervisor'] != "" ? $p['sSupervisor'] : '-'); ?> </td>
                <td style="text-align: left; font-size: 7pt">
                    Operador : <?php echo utf8_decode($p['sOperador'] != "" ? $p['sOperador'] : '-'); ?> 
                </td>
                <td style="text-align: left; font-size: 7pt;">
                    L.P: <?php echo $p['sLP'] != "" ? $p['sLP'] : '-'; ?> 
                </td>
                <td style="text-align: left; font-size: 7pt">
                    <?php echo utf8_decode($p['sTipoMotor'] != "" ? $p['sTipoMotor'] : '-'); ?>     
                </td>
                <td style="text-align: left; font-size: 7pt">
                    Fecha: <?php echo $p['sFecha'] != "" ? $p['sFecha'] : '-'; ?> </td>
            </tr>
            <?php             
            
            ?>
        </table>
    </page_header>
    

<?php             
foreach ($datos as $r){

?>
<!-- 
        <table class="table" cellpadding="0" cellspacing="0">

            <tbody>
                <tr>
                    <th style="width: 10%">Cliente</th>
                    <td style="width: 10%"><?php echo $r['sInsCliente'] != "" ? $r['sInsCliente'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Producto</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsProducto'] != "" ? $r['sInsProducto'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Motor</th>
                    <td style="width: 10%"></td>
                    <th style="width: 10%" class="active">Alternador</th>
                    <td style="width: 10%"></td>
                    <th style="width: 10%" class="active">Fecha</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['dInsFecha'] != "" ? $r['dInsFecha'] : '-'; ?></td>
                </tr>
                <tr>
                    <th style="width: 10%" class="active">Código Cliente</th>                    
                    <td style="width: 10%"><?php echo $r['sInsCodCliente'] != "" ? strtoupper($r['sInsCodCliente']) : '-'; ?></td>
                    <th style="width: 10%">Serie</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsSerie'] != "" ? $r['sInsSerie'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Marca del Motor</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsMotorMarca'] != "" ? $r['sInsMotorMarca'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Marca del Alternador</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsAlternadorMarca'] != "" ? $r['sInsAlternadorMarca'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Hora de Inicio</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['dInsHoraInicio'] != "" ? $r['dInsHoraInicio'] : '-'; ?></td>
                </tr>
                <tr>
                    <th style="width: 10%" class="active">Código de Equipo</th>                    
                    <td style="width: 10%"><?php echo $r['sInsCodEquipo'] != "" ? strtoupper($r['sInsCodEquipo']) : '-'; ?></td>
                    <th style="width: 10%">Marca</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsMarca'] != "" ? $r['sInsMarca'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Nro Serie</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsMotorSerie'] != "" ? $r['sInsMotorSerie'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Nro Serie</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsAlternadorSerie'] != "" ? $r['sInsAlternadorSerie'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Hora Término</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['dInsHoraTermino'] != "" ? $r['dInsHoraTermino'] : '-'; ?></td>
                </tr>
                <tr>
                    <th style="width: 10%" class="active">Servicio</th>                    
                    <td style="width: 10%"><?php echo $r['sInsServicio'] != "" ? strtoupper($r['sInsServicio']) : '-'; ?></td>
                    <th style="width: 10%">KW</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsKW'] != "" ? $r['sInsKW'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Lista de Partes</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsMotorListaPartes'] != "" ? $r['sInsMotorListaPartes'] : '-'; ?></td>
                    <th style="width: 10%" class="active">KW</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsAlternadorKW'] != "" ? $r['sInsAlternadorKW'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Técnico</th>
                    <td style="width: 10%"><?php echo $r['sInsTecnicoResponsable'] != "" ? $r['sInsTecnicoResponsable'] : '-'; ?></td>
                    </tr>

                <tr>
                    <th style="width: 10%" class="active"></th>                    
                    <td style="width: 10%"></td>
                    <th style="width: 10%">Horómetro</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsHorometro'] != "" ? $r['sInsHorometro'] : '-'; ?></td>
                    <td style="width: 10%"></td>
                    <td style="width: 10%"></td>
                    <td style="width: 10%"></td>
                    <td style="width: 10%"></td>
                    <td style="width: 10%"></td>
                    <td style="width: 10%"></td>
                </tr>
            </tbody>
        </table> 
        <br> -->


        
        <table class="table" cellpadding="0" cellspacing="0">
        <tbody>
            <tr>
                <th style="width: 20%; text-align: left" rowspan="2" colspan="2">
                    Presión Barométrica Observada
                </th>
                <th colspan="3" style="width:15%; text-align: center; ">
                   Humedadad
                </th>
                <th rowspan="2" style="width: 15%; text-align: left;">
                    Presión Barométrica Calculada                 
                 </th>                
                <th colspan="2" style="width: 20%; text-align: left;">
                     Sincronización        APMS                 
                </th>
                <th rowspan="2" style="width: 15%; text-align: left;">
                    Programa de pruebas                 
                 </th>                  
                <td rowspan="2" style="width: 15%; text-align: left; ">
                    <?php echo utf8_decode($p['sProgPrueba'] != "" ? $p['sProgPrueba'] : '-'); ?>                
                </td>
                
            </tr>
            <tr>
                <td style="text-align: center;  font-size: 7pt;">B. Húmedo</td>
                <td style="text-align: center;  font-size: 7pt;">B. Seco :</td>
                <td style="text-align: center;  font-size: 7pt;">Humedad %</td>
                <td style="text-align: left;  font-size: 7pt;">B:I</td>
                <td style="text-align: left;  font-size: 7pt;">        DPMS:</td>
            </tr>
            <tr>
                <td style="width: 10%; text-align: center;" rowspan="2">mm Hg</td>
                <td rowspan="2" style="width:10%; text-align: center; ">
                    <?php echo $p['sPreBarObs'] != "" ? $p['sPreBarObs'] : '-'; ?>
                </td>
                <td rowspan="2" style="width:5%; text-align: center; ">
                    <?php echo $p['sBHumedo'] != "" ? $p['sBHumedo'] : '-'; ?> C°
                </td>
                <td rowspan="2" style="width:5%; text-align: center; ">
                    <?php echo $p['sBSeco'] != "" ? $p['sBSeco'] : '-'; ?> C°
                </td>
                <td rowspan="2" style="width:5%; text-align: center; ">
                    <?php echo $p['sHumedad'] != "" ? $p['sHumedad'] : '-'; ?> C°
                </td>
                <td rowspan="2" style="width: 15%; text-align: center;   font-size: 7pt;">
                    <?php echo $p['sPreBarCal'] != "" ? $p['sPreBarCal'] : '-'; ?> mm Hg
                </td>                
                <td rowspan="2" style="width: 15%; text-align: left;   font-size: 7pt;">Tiempo Acumulado de Prueba</td>                
                <td style="width: 5%; text-align: left;  font-size: 7pt;">
                    <?php echo $p['sTiemAcumulado'] != "" ? $p['sTiemAcumulado'] : '-'; ?>                    
                </td>                                
                <td rowspan="2" style="width: 15%; text-align: left;  font-size: 7pt;">
                     Pruebas Especiales               
                </td>
                <td rowspan="2" style="width: 15%; text-align: left;  font-size: 7pt;">
                    <?php echo utf8_decode($p['sPruEspecial'] != "" ? $p['sPruEspecial'] : '-'); ?>  
                </td>                
            </tr>

        </tbody>
        </table>
        
        <table class="table" cellpadding="0" cellspacing="0">
        <tbody>
            <tr>
                <th style="width:10%; text-align: left" rowspan="3">Hora</th>
                <th colspan="2" style="text-align: center;" >VELOCIDAD</th>
                <th style="width:5%; text-align: center; "></th>
                <th colspan="2" style="width:5%; text-align: center; ">ACEITE</th>
                <th colspan="2" style="width:5%; text-align: center; ">COMBUSTIBLE</th>
                <th colspan="2" style="width:5%; text-align: center; ">ADMISION</th>
                <th colspan="2" style="width:5%; text-align: center; ">ESCAPE</th>
                <th colspan="2" style="width:5%; text-align: center; ">TEMP. AGUA</th>
                <th style="width:5%; text-align: center; ">Torque</th>
                <th style="width:5%; text-align: center; ">Potencia</th>
                
                <th rowspan="3" style="width: 15%; text-align: center;   font-size: 7pt;">OBSERVACIONES</th>                
                       
            </tr>
            <tr>
                <td rowspan="2" style="width:5%; text-align: center; ">r.p.m.</td>
                <td rowspan="2" style="width:5%; text-align: center; ">r.ps.</td>
                <td rowspan="2" style="width:5%; text-align: center; ">DR</td>
                <td rowspan="2" style="width:5%; text-align: center; ">Temp. C°</td>
                <td rowspan="2" style="width:5%; text-align: center; ">Presion Kpa</td>
                <td rowspan="2" style="width:5%; text-align: center; ;">Consumo s/05pt  </td>
                <td rowspan="2" style="width:5%; text-align: center; ">Temp. °C</td>
                <td rowspan="2" style="width:5%; text-align: center; ">Presion Kpa</td>
                <td rowspan="2" style="width:5%; text-align: center; ">Temp. C°</td>
                <td rowspan="2" style="width:5%; text-align: center; ">Temp. C°</td>
                <td rowspan="2" style="width:5%; text-align: center; ">Humo U:Bosch</td>
                <td style="width:5%; text-align: center; ">C°</td>
                <td style="width:5%; text-align: center; ">C°</td>
                <td rowspan="2" style="width:5%; text-align: center; ">NM</td>
                <td rowspan="2" style="width:5%; text-align: center; ">KW</td>
            </tr>
            <tr>
                <td style="width:5%; text-align: center; ">Entrada</td>
                <td style="width:5%; text-align: center; ">Salida</td>
            </tr>            
        </tbody>
        </table>


        <table class="table" cellpadding="0" cellspacing="0">
        <tbody>
 
        <!-- recorrer detalles-->
        <?php             
        $Contador = 0;
        foreach ($protocolodetalle as $pd){
        $Contador += 1;
        ?>
        <tr>
                <td style="width:10%; text-align: center; ">
                    <?php echo $pd['sHora'] != "" ? $pd['sHora'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sVelrpm'] != "" ? $pd['sVelrpm'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sVelrps'] != "" ? $pd['sVelrps'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sDR'] != "" ? $pd['sDR'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sAceTemp'] != "" ? $pd['sAceTemp'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sAcePresion'] != "" ? $pd['sAcePresion'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sCombConsumo'] != "" ? $pd['sCombConsumo'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sComTemp'] != "" ? $pd['sComTemp'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sAdmPresion'] != "" ? $pd['sAdmPresion'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sAdmTemp'] != "" ? $pd['sAdmTemp'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sEscTemp'] != "" ? $pd['sEscTemp'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sEscHumo'] != "" ? $pd['sEscHumo'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sTempAguaEntrada'] != "" ? $pd['sTempAguaEntrada'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sTempAguaSalida'] != "" ? $pd['sTempAguaSalida'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sTorque'] != "" ? $pd['sTorque'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pd['sPotencia'] != "" ? $pd['sPotencia'] : '-'; ?>   
                </td>
                <td style="width:15%; text-align: center; ">
                    <?php echo utf8_decode($pd['sObservaciones'] != "" ? $pd['sObservaciones'] : '-'); ?>   
                </td>
                
            </tr>
        
        <?php                  
        }        
        ?>

        </tbody>
        </table>

       
        <!-- Relleno de Celdas -->
        <table class="table" cellpadding="0" cellspacing="0">
        <tbody>
 
        <?php
        for ($i = 1; $i < 37 - $Contador ; $i++) {
        ?>
                <tr>
                 <td style="width:10%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:5%; text-align: center; ">-</td>
                 <td style="width:15%; text-align: center; ">-</td>
                </tr>     
        <?php
        }
        ?>

        </tbody>
        </table>    


        <!-- PARTE FINAL-->
        <table class="table" cellpadding="0" cellspacing="0">
        <tbody>
        <?php             
        foreach ($protocolofin as $pf){
        ?>
            <tr>
                <th style="text-align: center" colspan="3">Mínima velocidad sin carga</th>
                <th colspan="5" style="text-align: center;" >Máxima velocidad sin carga</th>
                <th colspan="2" style="text-align: center; ">Bomba de inyección</th>
                <th colspan="2" style="text-align: center; ">Inyectores</th>                
                <th colspan="2" style="text-align: center;   font-size: 7pt;">Turbo</th>       
            </tr>
            <tr>
                <th style="width:5%; text-align: center" >rpm</th>
                <th style="width:5%; text-align: center;" >Presiön de aceite (Kpa)</th>
                <th style="width:5%; text-align: center; ">Temp. De aceite °C</th>
                <th style="width:5%; text-align: center" >rpm</th>
                <th style="width:5%; text-align: center;" >Presiön de aceite (Kpa)</th>
                <th style="width:5%; text-align: center; ">Temp. De aceite °C</th>
                <td colspan="2" style="width:5%; text-align: center; "></td>
                <th style="width:5%; text-align: center; ">Tipo:</th>
                <td style="width:15%; text-align: center; ">
                    <?php echo utf8_decode($pf['sBomTipo'] != "" ? $pf['sBomTipo'] : '-'); ?>
                </td>
                <th style="width:5%; text-align: center; ">N°</th>
                <td style="width:10%; text-align: center; ">
                    <?php echo $pf['sInyNro'] != "" ? $pf['sInyNro'] : '-'; ?>
                </td>
                <th style="width:5%; text-align: center; ">Tipo:</th>
                <td style="width:15%; text-align: center; ">
                    <?php echo utf8_decode($pf['sTurboTipo'] != "" ? $pf['sTurboTipo'] : '-'); ?>
                </td>
                      
            </tr>
            <tr>
                <td style="width:5%; text-align: center" >
                    <?php echo $pf['sMinVelrpm'] != "" ? $pf['sMinVelrpm'] : '-'; ?>   
                </td>
                <td style="width:5%; text-align: center;" >
                    <?php echo $pf['sMinVelPresion'] != "" ? $pf['sMinVelPresion'] : '-'; ?>  
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pf['sMinVelTemp'] != "" ? $pf['sMinVelTemp'] : '-'; ?>  
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pf['sMaxVelrpm'] != "" ? $pf['sMaxVelrpm'] : '-'; ?> 
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pf['sMaxVelPresion'] != "" ? $pf['sMaxVelPresion'] : '-'; ?> 
                </td>
                <td style="width:5%; text-align: center; ">
                    <?php echo $pf['sMaxVelTemp'] != "" ? $pf['sMaxVelTemp'] : '-'; ?>  
                </td>
                <td style="width:10%; text-align: center; "></td>
                <td style="width:5%; text-align: center; ">°C</td>
                <th style="width:5%; text-align: center; ">Nro Serie</th>
                <td style="width:15%; text-align: center; ">
                    <?php echo $pf['sBomNroSerie'] != "" ? $pf['sBomNroSerie'] : '-'; ?>  
                </td>
                <th style="width:5%; text-align: center; ">Codigo</th>
                <td style="width:10%; text-align: center; ">
                    <?php echo $pf['sInyCodigo'] != "" ? $pf['sInyCodigo'] : '-'; ?>  
                </td>
                <th style="width:5%; text-align: center; ">Nro Serie</th>
                <td style="width:15%; text-align: center; ">
                    <?php echo $pf['sTurboNroSerie'] != "" ? $pf['sTurboNroSerie'] : '-'; ?>  
                </td>
                       
            </tr>
        <?php             
        }
        ?>
        </tbody>
        </table> 

        <div class="page-break-after">            
            <br><br>
        </div>


<!-- Fin-->
 <?php             
    }
}
?>

        

    </bookmark>    
</page>

<?php

?>
<?php
//die();
    $content = ob_get_clean();

    require_once('view/librerias/html2pdf/html2pdf.class.php');
    try
    {
        $html2pdf = new HTML2PDF('L', 'A4', 'es', true, 'UTF-8', 0);
        $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
//        $html2pdf->createIndex('Sommaire', 25, 12, false, true, 1);
        $html2pdf->Output('protocolo-'.(date('dmYhmi')).'.pdf');
    }
    catch(HTML2PDF_exception $e) {
        echo $e;
        exit;
    }
