<?php

require_once 'model/modelo.entidad.php';
require_once 'model/modelo.model.php';
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';

class ModeloController extends helpers {

    private $modelo_model;
    private $parametro_model;

    public function __CONSTRUCT() {
        $this->modelo_model = new ModeloModel();
        $this->parametro_model = new ParametroModel();
    }

    public function Index() {
        $parametro = $this->parametro_model->ListarParametros();
        $modelos = $this->modelo_model->Listar();
        require_once 'view/header.php';
        require_once 'view/webforms/wfamodelo.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function FrmNuevoUsu() {
        $parametro = $this->parametro_model->ListarParametros();
        $usuarios = $this->modelo_model->Listar();
        require_once 'view/header.php';
        require_once 'view/webforms/wfausuarioa.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarModelo() {
        require_once 'view/webforms/wfamodeloa.php';
    }

    public function FrmEditarModelo() {
        $obtenermodelo = $this->modelo_model->Buscar($_POST['modelo_id']);
        foreach ($obtenermodelo as $r):
            require_once 'view/webforms/wfamodeloa.php';
        endforeach;
    }

    public function MostrarModelo() {
        $modelos = $this->modelo_model->Buscar($_POST['modelo_id']);
        foreach ($modelos as $r):
         
            echo " <tbody>
                          <tr>
                             <td>
                                <input type='hidden' name='IdModelo' id='idUsuario' value='" . $r->__GET('modelo_id') . "'> 
                                Descripción
                             </td>
                             <td>" . $r->__GET('sModDescripcion') . "</td>
                          </tr>
                          <tr>
                             <td>Marca</td>
                             <td>" . $r->__GET('sModMarca') . "</td>
                          </tr>  
                          <tr>
                             <td>Modelo</td>
                             <td>" . $r->__GET('sModModelo') . "</td>
                          </tr>

                          <tr>
                             <td>Marca Motor</td>
                             <td>" . $r->__GET('sModMarcaMotor') . "</td>
                          </tr>
                          
                          <tr>
                             <td>Potencia</td>
                             <td>" . $r->__GET('sModPotencia') . "</td>
                          </tr>
                          <tr>
                             <td>Alternador</td>
                             <td>" . $r->__GET('sModAlternador') . "</td>
                          </tr>
                          <tr>
                             <td>Tipo Gobernación</td>
                             <td>" . $r->__GET('sModTipoGobernacion') . "</td>
                          </tr>
                          <tr>
                             <td>Tipo Aspiración</td>
                             <td>" . $r->__GET('sModTipoAspiracion') . "</td>
                          </tr>
                          <tr>
                             <td>Prime KVA</td>
                             <td>" . $r->__GET('sModPrimeKVA') . "</td>
                          </tr>
                          <tr>
                             <td>Stand By KVA</td>
                             <td>" . $r->__GET('sModStandbyKVA') . "</td>
                          </tr>
                          <tr>
                             <td>Estado</td>
                             <td>" . ($r->__GET('nModEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>') . "</td>
                          </tr>
                       </tbody>
                     ";
        endforeach;
    }

    public function GuardarModelo() {
        $mod = new Modelo();
        if ($_POST['IdModelo'] != 0 ? $mod->__SET('modelo_id', $_POST['IdModelo']) : '');
        $mod->__SET('nModTipo_id', $_POST["nModTipo_id"]);
        $mod->__SET('sModDescripcion', $_POST["sModDescripcion"]);
        $mod->__SET('sModMarca', $_POST["sModMarca"]);
        $mod->__SET('sModModelo', $_POST["sModModelo"]);
        $mod->__SET('sModMarcaMotor', $_POST["sModMarcaMotor"]);
        $mod->__SET('sModPotencia', $_POST["sModPotencia"]);
        $mod->__SET('sModAlternador', $_POST["sModAlternador"]);
        $mod->__SET('sModTipoGobernacion', $_POST["sModTipoGobernacion"]);
        $mod->__SET('sModTipoAspiracion', $_POST["sModTipoAspiracion"]);
        $mod->__SET('sModPrimeKVA', $_POST["sModPrimeKVA"]);
        $mod->__SET('sModStandbyKVA', $_POST["sModStandbyKVA"]);
        $mod->__SET('nModEstado', $_POST["nModEstado"]);
        $mod->__SET('nModEliminado', 0);
        $mod->__SET('nModUsuario_Id', $_SESSION['usu_codigo']);
        if ($_POST['IdModelo'] == 0 ? $this->modelo_model->Guardar($mod) : $this->modelo_model->Editar($mod));
    }

    public function EliminarModelo() {
        $mod = new Modelo();
        $mod->__SET('modelo_id', $_POST['idModelo']);
        $this->modelo_model->Eliminar($mod);
        echo '<script type="text/javascript">window.location="?c=Modelo&a=Index";</script>';
    }


}
