            <style>label.error { color: red; }</style>
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Programación mantenimiento
                    <small></small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
                    <li class="active">Registrar Programación de mantenimiento</li>
                </ol>
            </section>
            <!-- Main content -->
            <section class="content">
                <form role="form" method="POST" id="FrmProgramacion">
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Datos básicos</h3>
                                </div><!-- /.box-header -->
                                <!-- form start -->
                                <div class="box-body row">
                                    <div id="resultado" class="col-sm-12"></div>
                                    <!-- Date range -->
                                    <div class="form-group col-sm-12 col-md-6">
                                        <label>Fecha mantenimiento</label>
                                        <input type="hidden" id="Programacion_Id" name="Programacion_Id" value="<?php echo isset($r) ? $r->__GET("Programacion_Id") : '0'; ?>">
                                        <input type="date" name="dProFecha" id="dProFecha" class="form-control" placeholder="Codigo SAP"
                                            value="<?php echo isset($r) ? $r->__GET('dProFecha'): '' ?>" />
                                    </div>
                                    <div class="form-group col-sm-12 col-md-6">
                                        <label>Equipo</label>
                                        <select class="form-control" name="nProEquipo_Id" id="nProEquipo_Id" data-live-search="true">
                                            <option selected disabled>Selecciona</option>
                                            <?php foreach($equipos as $e): ?>
                                                <option value="<?php echo $e->__get('Equipo_Id') ?>"
                                                    <?php echo isset($r) && $r->__get('nProEquipo_Id') == $e->__get('Equipo_Id') ? 'selected' : null ?>
                                                ><?php echo $e->__get('sEqActivoFijo') ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-sm-12 col-md-6">
                                        <label>Técnico</label>
                                        <select class="form-control" name="nProTecnico_Id" id="nProTecnico_Id" data-live-search="true">
                                            <option selected disabled>Selecciona</option>
                                            <?php foreach($tecnicos as $t):?>
                                                <option value="<?php echo $t->__get('nUsuId') ?>"
                                                    <?php echo isset($r) && $r->__get('nProTecnico_Id') == $t->__get('nUsuId') ? 'selected' : null ?>
                                                ><?php echo $t->__get('sUsuNombre') ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-sm-12 col-md-6">
                                        <label>Plantilla de Mantenimiento</label>
                                        <select class="form-control" name="nProPlantilla_Id" id="nProPlantilla_Id" data-live-search="true">
                                            <option selected disabled>Selecciona</option>
                                            <?php foreach($plantillas as $p): ?>
                                                <option value="<?php echo $p->__get('Plantilla_Id') ?>"
                                                    <?php echo isset($r) && $r->__get('nProPlantilla_Id') == $p->__get('Plantilla_Id') ? 'selected' : null ?>
                                                ><?php echo $p->__get('sPlaNombre') . ' - ' . $p->__get('Tipo') ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>


                                    <div class="col-sm-12 mt-2">
                                        <button type="button" id="btn-save-programacion" class="btn btn-primary btn-flat">
                                            Guardar <?php echo isset($r) && $r->__get('Programacion_Id') != 0 ? 'cambios' : 'información' ?> 
                                        </button>
                                        <a class="btn btn-danger btn-flat" href="?c=ProgMantenimiento&a=Index">Cancelar</a>
                                    </div>

                                </div><!-- /.box-body -->
                                <div class="box-footer">
                                    <table id="example1" class="table text-center">
                                        <thead>
                                            <tr>
                                                <th>Equipo</th>
                                                <th>Último mantenimiento</th>
                                                <th>Fecha último manteniemiento</th>
                                                <th>Siguiente mantenimiento</th>
                                                <th>Fecha estimada</th>
                                                <th>Operaciones</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            
                                            <?php foreach ($infoTable as $item): ?>
                                                <?php if (isset($item->Estimado)) { ?> <!-- equipos que están en contrato o tienen mantenimiento previo -->
                                                <tr>
                                                    <td><?php echo $item->sEqActivoFijo ?></td>
                                                    <td style="<?php echo $item->Mantenimiento ? "" : "color: red;" ?>"><?php echo $item->Mantenimiento ? $item->Mantenimiento : 'No tiene mantenimiento' ?></td>
                                                    <td><?php echo $item->dManFecha_Act ?></td>
                                                    <td><?php echo $item->Sgte ?></td>
                                                    <td><?php echo isset($item->Estimado) ? $item->Estimado : '' ?></td>
                                                    <td>
                                                        <button type="button" class="btn btn-success btn-xs" title="Programar" onclick="Programar('<?php echo htmlspecialchars(json_encode($item), ENT_QUOTES, 'UTF-8'); ?>')"><i class="fa fa-plus"></i></button>
                                                    </td>
                                                </tr>
                                                <?php } ?>
                                            <?php endforeach; ?>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <th>Equipo</th>
                                                <th>Último mantenimiento</th>
                                                <th>Fecha último manteniemiento</th>
                                                <th>Siguiente mantenimiento</th>
                                                <th>Fecha estimada</th>
                                                <th>Operaciones</th>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                                <!-- Modal modeal-1 -->
                            </div><!-- /.box -->
                        </div><!--/.col (left) -->
                    </div> <!-- /.row -->
                </form>
            </section><!-- /.content -->
            <!-- <script type="text/javascript" src="view/librerias/dist/js/jquery.tabletojson.js"></script> -->
            <script type="text/javascript" src="view/librerias/dist/js/moment.min.js"></script>
            <script type="text/javascript" src="view/librerias/dist/js/funcionesGenerales.js"></script>
            <script type="text/javascript" src="view/librerias/dist/js/funcionesProgMantenimiento.js"></script>


            <script type="text/javascript">
                <?php if(!isset($edit)) { ?>
                    $('#dProFecha').prop('disabled', true)
                    $('#nProEquipo_Id').prop('disabled', true).selectpicker('refresh')
                    $('#nProTecnico_Id').prop('disabled', true).selectpicker('refresh')
                    $('#nProPlantilla_Id').prop('disabled', true).selectpicker('refresh')
                <?php } else { ?>
                    $('#dProFecha')
                    $('#nProEquipo_Id').selectpicker('refresh')
                    $('#nProTecnico_Id').selectpicker('refresh')
                    $('#nProPlantilla_Id').selectpicker('refresh')
                <?php } ?>

                
                $(function() {
                    jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
                        var ukDatea = a.split('-');
                        var ukDateb = b.split('-');

                        var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
                        var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

                        return ((x < y) ? -1 : ((x > y) ? 1 : 0));
                    };

                    jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
                        var ukDatea = a.split('-');
                        var ukDateb = b.split('-');

                        var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
                        var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

                        return ((x < y) ? 1 : ((x > y) ? -1 : 0));
                    };
                    $("#example1").dataTable({
                        
                    });
                });

                $(document).ready(function () {
                });

                $('#modal-eliminar').on('show.bs.modal', function(event) {
                    var button = $(event.relatedTarget); // Button that triggered the modal
                    var recipient = button.data('codigo'); // Extract info from data-* attributes

                    // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
                    // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
                    var modal = $(this);
                    modal.find('.modal-body input').val(recipient);
                });
            </script>